- UCA:
    Controller: GStreamer
    Control Action: Send config to Argus (CA)

    Not Providing:
    - Reference: UCA-CA-1
      Text: GStreamer does not provide a config file to Argus when Argus has no / incorrect config

    Providing:
    - Reference: UCA-CA-100
      Text: GStreamer provides an inaccurate config file to Argus

    - Reference: UCA-CA-101
      Text: GStreamer provides a config to Argus when it already has a valid config

    Too early, late or out of order:
    - Reference: UCA-CA-1000
      Text: GStreamer provides a config file to Argus too late for the camera to send environment images within X seconds of systemd starting the Python script

    - Refernece: UCA-CA-1001
      Text: GStreamer provides a config file too late (> x seconds) after Argus has no / incorrect config

    - Reference: UCA-CA-1002
      Text: GStreamer provides a config file too early, before Argus is ready to receive
